---
title: wls_opatch
keywords: documentation
layout: documentation
sidebar: wls_config_sidebar
toc: false
---
## Overview

    This resource allows you to manage opatch patches on a specific middleware home.

wls_opatch {'/opt/oracle/middleware12c:16175470':
  ensure                  => "present",
  jdk_home_dir            => "/usr/java/jdk1.7.0_45",
  os_user                 => "oracle",
  source                  => "/vagrant/p16175470_121200_Generic.zip",
}

## Attributes



Attribute Name                                                 | Short Description                                  |
-------------------------------------------------------------- | -------------------------------------------------- |
[ensure](#wls_opatch_ensure)                                   | The basic property that the resource should be in. |
[jdk_home_dir](#wls_opatch_jdk_home_dir)                       | The JDK home folder.                               |
[name](#wls_opatch_name)                                       | The name.                                          |
[oracle_product_home_dir](#wls_opatch_oracle_product_home_dir) | The oracle product home folder.                    |
[orainst_dir](#wls_opatch_orainst_dir)                         | The orainst folder.                                |
[os_user](#wls_opatch_os_user)                                 | The weblogic operating system user.                |
[patch_id](#wls_opatch_patch_id)                               | The patchId of the OPatch.                         |
[provider](#wls_opatch_provider)                               | resource.                                          |
[source](#wls_opatch_source)                                   | The source of the patch.                           |
[tmp_dir](#wls_opatch_tmp_dir)                                 | The tmp extract directory of the patch.            |




### ensure<a name='wls_opatch_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 
[Back to overview of wls_opatch](#attributes)


### jdk_home_dir<a name='wls_opatch_jdk_home_dir'>

The JDK home folder.


[Back to overview of wls_opatch](#attributes)


### name<a name='wls_opatch_name'>

The name.


[Back to overview of wls_opatch](#attributes)


### oracle_product_home_dir<a name='wls_opatch_oracle_product_home_dir'>

The oracle product home folder.


[Back to overview of wls_opatch](#attributes)


### orainst_dir<a name='wls_opatch_orainst_dir'>

The orainst folder.


[Back to overview of wls_opatch](#attributes)


### os_user<a name='wls_opatch_os_user'>

The weblogic operating system user.


[Back to overview of wls_opatch](#attributes)


### patch_id<a name='wls_opatch_patch_id'>

The patchId of the OPatch.


[Back to overview of wls_opatch](#attributes)


### provider<a name='wls_opatch_provider'>

The specific backend to use for this `wls_opatch`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

prefetching
: Apply Oracle OPatches


[Back to overview of wls_opatch](#attributes)


### source<a name='wls_opatch_source'>

The source of the patch. Can be either an extracted folder or the raw zip file.


[Back to overview of wls_opatch](#attributes)


### tmp_dir<a name='wls_opatch_tmp_dir'>

The tmp extract directory of the patch.


[Back to overview of wls_opatch](#attributes)

