---
title: wls_resource_group_template_deployment
keywords: documentation
layout: documentation
sidebar: wls_config_sidebar
toc: false
---
## Overview

TThis resource allows you to manage deployments in a resource group template in an WebLogic 12.2.1 domain.

## Attributes



Attribute Name                                                                                       | Short Description                                                       |
---------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------- |
[deployment_name](#wls_resource_group_template_deployment_deployment_name)                           | The deployment name.                                                    |
[deploymenttype](#wls_resource_group_template_deployment_deploymenttype)                             | The deployment type
                                                    |
[domain](#wls_resource_group_template_deployment_domain)                                             | With this parameter, you identify the domain, where your objects is in. |
[ensure](#wls_resource_group_template_deployment_ensure)                                             | The basic property that the resource should be in.                      |
[localpath](#wls_resource_group_template_deployment_localpath)                                       | The local path of the artifact
                                         |
[name](#wls_resource_group_template_deployment_name)                                                 | The name.                                                               |
[planpath](#wls_resource_group_template_deployment_planpath)                                         | The path of the deploymentplan
                                         |
[provider](#wls_resource_group_template_deployment_provider)                                         | resource.                                                               |
[remote](#wls_resource_group_template_deployment_remote)                                             | remote option for deployment.                                           |
[resource_group_template_name](#wls_resource_group_template_deployment_resource_group_template_name) | The resource group template name.                                       |
[stagingmode](#wls_resource_group_template_deployment_stagingmode)                                   | The staging type
                                                       |
[timeout](#wls_resource_group_template_deployment_timeout)                                           | Timeout for applying a resource.                                        |
[upload](#wls_resource_group_template_deployment_upload)                                             | Upload option for deployment.                                           |
[versionidentifier](#wls_resource_group_template_deployment_versionidentifier)                       | The version identifier
                                                 |




### deployment_name<a name='wls_resource_group_template_deployment_deployment_name'>

The deployment name.


[Back to overview of wls_resource_group_template_deployment](#attributes)


### deploymenttype<a name='wls_resource_group_template_deployment_deploymenttype'>

The deployment type


[Back to overview of wls_resource_group_template_deployment](#attributes)


### domain<a name='wls_resource_group_template_deployment_domain'>

With this parameter, you identify the domain, where your objects is in.

The domain name is part of the full qualified name of any WebLogic object on a system. Let's
say we want to describe a WebLogic server. The full qualified name is:

    wls_server{'domain_name/server_name':
      ensure => present,
      ...
    }

When you don't specify a domain name, Puppet will use `default` as domain name. For every domain
you want to manage, you'll have to put a `wls_settings` in your manifest.


[Back to overview of wls_resource_group_template_deployment](#attributes)


### ensure<a name='wls_resource_group_template_deployment_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 
[Back to overview of wls_resource_group_template_deployment](#attributes)


### localpath<a name='wls_resource_group_template_deployment_localpath'>

The local path of the artifact


[Back to overview of wls_resource_group_template_deployment](#attributes)


### name<a name='wls_resource_group_template_deployment_name'>

The name.


[Back to overview of wls_resource_group_template_deployment](#attributes)


### planpath<a name='wls_resource_group_template_deployment_planpath'>

The path of the deploymentplan


[Back to overview of wls_resource_group_template_deployment](#attributes)


### provider<a name='wls_resource_group_template_deployment_provider'>

The specific backend to use for this `wls_resource_group_template_deployment`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: 


[Back to overview of wls_resource_group_template_deployment](#attributes)


### remote<a name='wls_resource_group_template_deployment_remote'>

remote option for deployment.

Valid values are `1`, `0`. 
[Back to overview of wls_resource_group_template_deployment](#attributes)


### resource_group_template_name<a name='wls_resource_group_template_deployment_resource_group_template_name'>

The resource group template name.


[Back to overview of wls_resource_group_template_deployment](#attributes)


### stagingmode<a name='wls_resource_group_template_deployment_stagingmode'>

The staging type


[Back to overview of wls_resource_group_template_deployment](#attributes)


### timeout<a name='wls_resource_group_template_deployment_timeout'>

Timeout for applying a resource.

To be sure no Puppet operation, hangs a Puppet daemon, all operations have a timeout. When this timeout
expires, Puppet will abort the current operation and signal an error in the Puppet run.

With this parameter, you can specify the length of the timeout. The value is specified in seconds. In
this example, the `timeout`  is set to `600`  seconds.

    wls_server{'my_server':
      ...
      timeout => 600,
    }

The default value for `timeout` is 120 seconds.


[Back to overview of wls_resource_group_template_deployment](#attributes)


### upload<a name='wls_resource_group_template_deployment_upload'>

Upload option for deployment.

Valid values are `1`, `0`. 
[Back to overview of wls_resource_group_template_deployment](#attributes)


### versionidentifier<a name='wls_resource_group_template_deployment_versionidentifier'>

The version identifier


[Back to overview of wls_resource_group_template_deployment](#attributes)

