#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:timeout) do
  include EasyType
  include EasyType::Mungers::Integer

  desc <<-EOD
  Timeout for applying a resource.

  To be sure no Puppet operation, hangs a Puppet daemon, all operations have a timeout. When this timeout
  expires, Puppet will abort the current operation and signal an error in the Puppet run.

  With this parameter, you can specify the length of the timeout. The value is specified in seconds. In
  this example, the `timeout`  is set to `600`  seconds.

      wls_server{'my_server':
        ...
        timeout => 600,
      }

  The default value for `timeout` is 120 seconds.

  EOD

end
