#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:control_flag) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-EOD
  The control flag.

  Here is an example on how to use this:

      wls_authentication_provider{'my_provider':
        ...
        control_flag => 'Required',
        ...
      }

  Specifies how the authentication provider behaviour influences the total flow. 
  For more information checkout the documentation of propery [DefaultAuthenticatorMBean.ControlFlag](http://docs.oracle.com/middleware/1213/wls/WLMBR/mbeans/DefaultAuthenticatorMBean.html#ControlFlag)
  in the WebLogic documentation. 

  EOD

  newvalues('Required','Requisite','Sufficient','Optional')

  to_translate_to_resource do | raw_resource|
    raw_resource['control_flag']
  end

end
