#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:client_cert_proxy_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether to honor the WL-Proxy-Client-Cert header coming with the request or not.  

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         client_cert_proxy_enabled => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:client_cert_proxy_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('ClientCertProxyEnabled')
end
