#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:database_leasing_basis_connection_retry_delay, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The length of time, in milliseconds,Database Leasing will wait before attempting to obtain a new connection from the Data Source when a connection has failed. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         database_leasing_basis_connection_retry_delay => '1000'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:database_leasing_basis_connection_retry_delay']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DatabaseLeasingBasisConnectionRetryDelay')
end
