#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:health_check_interval_millis, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  Interval in milliseconds at which Migratable Servers and Cluster Masters prove their liveness via the database. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         health_check_interval_millis => '10000'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:health_check_interval_millis']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('HealthCheckIntervalMillis')
end
