#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:idle_periods_until_timeout, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  Maximum number of periods that a cluster member will wait before timing out a member of a cluster.  Maximum number of periods that a cluster member will wait before timing out a member of a cluster. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         idle_periods_until_timeout => '3'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:idle_periods_until_timeout']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('IdlePeriodsUntilTimeout')
end
