#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_cross_domain_recovery_retry_interval, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The interval at which a store lock for a given server in a recovery domain will be checked for takeover eligibility. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         jta_cross_domain_recovery_retry_interval => '60'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:jta_cross_domain_recovery_retry_interval']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTACluster/%{cluster_name}/CrossDomainRecoveryRetryInterval')
end
