#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_cross_site_recovery_lease_expiration, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The time after which a lease expires making it eligible for recovery by another site. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         jta_cross_site_recovery_lease_expiration => '30'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:jta_cross_site_recovery_lease_expiration']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTACluster/%{cluster_name}/CrossSiteRecoveryLeaseExpiration')
end
