#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_migration_checkpoint_interval_seconds, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The time interval, in seconds,  that the checkpoint is done for the migrated transaction logs (TLOGs). 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         jta_migration_checkpoint_interval_seconds => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:jta_migration_checkpoint_interval_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTACluster/%{cluster_name}/MigrationCheckpointIntervalSeconds')
end
