#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_serialize_enlistments_gc_interval_millis, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The time interval, in milliseconds, at which internal objects used to serialize resource enlistment are cleaned up. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         jta_serialize_enlistments_gc_interval_millis => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:jta_serialize_enlistments_gc_interval_millis']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTACluster/%{cluster_name}/SerializeEnlistmentsGCIntervalMillis')
end
