#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_tlog_write_when_determiner_exists_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Indicates two-phase transaction recovery logs are written even if one or more determiners are configured. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         jta_tlog_write_when_determiner_exists_enabled => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:jta_tlog_write_when_determiner_exists_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('JTACluster/%{cluster_name}/TLOGWriteWhenDeterminerExistsEnabled')
end
