#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:multicast_port, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The multicast port (between 1 and 65535) used by cluster members to communicate with each other.  Defines the multicast port used by cluster members to communicate with each other. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         multicast_port => '7001'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:multicast_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MulticastPort')
end
