#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:service_age_threshold_seconds, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The number of seconds (between 0 and 65534) by which the age of two conflicting services must differ before one is considered older than the other.  Defines the number of seconds by which the age of two conflicting services must differ before one is considered older than the other. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         service_age_threshold_seconds => '180'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:service_age_threshold_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ServiceAgeThresholdSeconds')
end
