#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:session_flush_threshold, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  When number of sessions to be flushed reaches this threshold limit, sessions will be flushed to the backup cluster before the flush interval. This helps the server to flush sessions faster under load. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         session_flush_threshold => '10000'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:session_flush_threshold']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SessionFlushThreshold')
end
