#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:session_lazy_deserialization_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Enables increased efficiency with session replication. Enabling this attribute should be used only when configuring a WebLogic domain for Oracle Exalogic. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         session_lazy_deserialization_enabled => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:session_lazy_deserialization_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('SessionLazyDeserializationEnabled')
end
