#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:frontendhttpport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::PortNumber

  desc <<-EOD
  The name of the HTTP port to which all redirected URLs will be sent.  Sets the FrontendHTTPPort for the default webserver (not virtual hosts) for all the servers in the cluster. Provides a method to ensure that the webapp will always have the correct PORT information, even when the request is coming through a firewall or a proxy. If this parameter is configured, the HOST header will be ignored and the information in this parameter will be used in its place, when constructing the absolute urls for redirects. 

  Here is an example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         frontend_http_port => 'a_value'
         ...
      }

  EOD

 maps_to('FrontendHTTPPort')

end