#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:messagingmode, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies the messaging type used in the cluster. Multicast messaging is provided for backwards compatibility. 

  Here is an example on how to use this:
      wls_cluster { 'aCluster':
        ...
        messagingmode => 'multicast',
        ...
      }
    
  EOD

  defaultto 'unicast'
  newvalues('absent','multicast','unicast')

  maps_to('ClusterMessagingMode')

end