#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:migration_table_name, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Name

  desc <<-EOD
  Return the name of the table to be used for server migration.

  Here is an example on how to use this:

      wls_cluster { 'aCluster':
        ...
        migration_table_name => 'MYTABLE',
        ...
      }

  EOD

  maps_to('AutoMigrationTableName')
end
