#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:multicastport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::PortNumber

  desc <<-EOD
  The multicast port (between 1 and 65535) used by cluster members to communicate with each other.  Defines the multicast port used by cluster members to communicate with each other. 

  Here is an example on how to use this on a regular WebLogic cluster:

      wls_cluster { 'aCluster':
        ...
        multicastport => '9000',
        ...
      }

  EOD

  maps_to('MulticastPort')

end
