#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:servers, :array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Name
  include EasyType::ArrayProperty

  desc <<-EOD
  The WebLogic servers which are part of this cluster.
  Here is an example on how to use this:

      wls_cluster { 'aCluster':
        ...
        servers => ['server_1','server_2],
        ...
      }

  EOD

  maps_to('Servers/')

  on_apply do
    wls_config.execute(template("wls_config/wls_cluster/set_servers.py.erb", binding))
  end

end


child_of(:wls_server, :servers) { self[:servers].collect { |s| "#{domain}/#{s}" } }
