#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:cluster_listen_port, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The cluster listen port used by Coherence; Coherence cluster members use this port to discover and join, or create the cluster. If unspecified, the Coherence cluster multicast listen port will be used. 

  An example on how to use this:

      wls_coherence_cluster {a_wls_coherence_cluster :
         ...
         cluster_listen_port => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_cluster:cluster_listen_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('CoherenceClusterResource/%{coherence_cluster_name}/CoherenceClusterParams/%{coherence_cluster_name}/ClusterListenPort')
end
