#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:multicast_listen_port, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The port for the cluster multicast listener. 

  An example on how to use this:

      wls_coherence_cluster {a_wls_coherence_cluster :
         ...
         multicast_listen_port => '33387'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_cluster:multicast_listen_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('CoherenceClusterResource/%{coherence_cluster_name}/CoherenceClusterParams/%{coherence_cluster_name}/MulticastListenPort')
end
