#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:multicastport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::PortNumber

  desc <<-EOD
  The port for the cluster multicast listener. 

  Here is an example on how to use this:

      wls_coherence_cluster { 'aCluster':
        ...
        multicastport => '9000',
        ...
      }

  EOD

  maps_to('CoherenceClusterResource/%{coherence_cluster_name}/CoherenceClusterParams/%{coherence_cluster_name}/MulticastListenPort')

end
