#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:autorestart, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether the Node Manager can automatically restart this server if it crashes or otherwise goes down unexpectedly.  

  An example on how to use this:

      wls_coherence_server {a_wls_coherence_server :
         ...
         auto_restart => '1'
         ...
      }

  EOD

  newvalues('absent', 0, 1)

  maps_to('AutoRestart')


end
