#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:restart_max, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The number of times that the Node Manager can restart this server within the interval specified in RestartIntervalSeconds.  

  An example on how to use this:

      wls_coherence_server {a_wls_coherence_server :
         ...
         restart_max => '2'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_server:restart_max']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('RestartMax')
end
