#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:unicast_port_auto_adjust_attempts, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
   Gets the upper bound of the unicast port. A positive value indicates the unicast port is automatically incremented if the specified port cannot be bound because it is already in use.  

  An example on how to use this:

      wls_coherence_server {a_wls_coherence_server :
         ...
         unicast_port_auto_adjust_attempts => '65535'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_server:unicast_port_auto_adjust_attempts']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('UnicastPortAutoAdjustAttempts')
end
