#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:driver_use_xa_data_source_interface, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies that WebLogic Server should use the XA interface of the JDBC driver.  If the JDBC driver class used to create database connections implements both XA and non-XA versions of a JDBC driver, you can set this attribute to indicate that WebLogic Server should treat the JDBC driver as an XA driver or as a non-XA driver. 

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         driver_use_xa_data_source_interface => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:driver_use_xa_data_source_interface']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('JDBCResource/%{datasource_name}/JDBCDriverParams/%{datasource_name}/UseXaDataSourceInterface')
end
