#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ds_connection_pool_failover_callback_handler, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The name of the application class to handle the callback sent when a multi data source is ready to failover or fail back connection requests to another data source within the multi data source.  The name must be the absolute name of an application class that implements the <code>weblogic.jdbc.extensions.ConnectionPoolFailoverCallback</code> interface. 

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         ds_connection_pool_failover_callback_handler => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:ds_connection_pool_failover_callback_handler']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCDataSourceParams/%{datasource_name}/ConnectionPoolFailoverCallbackHandler')
end
