#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:pool_highest_num_waiters, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The maximum number of connection requests that can concurrently block threads while waiting to reserve a connection from the data source's connection pool. 

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         pool_highest_num_waiters => '2147483647'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:pool_highest_num_waiters']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/HighestNumWaiters')
end
