#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:tags, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Return all tags on this Configuration MBean 

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         tags => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:tags']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Tags')
end
