#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:secondstotrustidlepoolconnection, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-EOD
    The number of seconds within a connection use that WebLogic Server trusts that the connection is still viable and will skip the connection test, either before delivering it to an application or during the periodic connection testing process.

  EOD

  defaultto '10'

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/SecondsToTrustAnIdlePoolConnection')

end
