#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:localpath) do
  include EasyType

  desc <<-EOD
  The local path of the artifact

  EOD

  validate do |value|
    unless Pathname.new(value).absolute?
      fail("#{value} is not an absolute path")
    end

    if Pathname.new(value).dirname.cleanpath.to_s == '/tmp'
      # Weblogic 12.1.1 deployments will fail it localpath is directly in /tmp
      fail('localpath can not be in /tmp')
    end
  end
end

child_of(:file) { localpath }
