#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:config_backup_enabled, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  If true, then backups of the configuration will be made during server boot. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         config_backup_enabled => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:config_backup_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('ConfigBackupEnabled')
end
