#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_rotate_log_on_startup, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  Specifies whether a server rotates its log file during its startup cycle. The default value in production mode is false. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         log_rotate_log_on_startup => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:log_rotate_log_on_startup']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('Log/%{domain_name}/RotateLogOnStartup')
end
