#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_stdout_severity, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  The minimum severity of log messages going to the standard out. Messages with a lower severity than the specified value will not be published to standard out. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         log_stdout_severity => 'Notice'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:log_stdout_severity']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{domain_name}/StdoutSeverity')
end
