#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:parallel_deploy_applications, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  Determines if applications will be deployed in parallel.  This setting can be overridden at the per-partition level.  See {@link PartitionMBean#isParallelDeployApplications()} 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         parallel_deploy_applications => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:parallel_deploy_applications']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('ParallelDeployApplications')
end
