#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_number_of_files_limited, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  Indicates whether to limit the number of log files that this server instance creates to store old messages. (Requires that you specify a file rotation type of SIZE or TIME.)

  After the server reaches this limit, it deletes the oldest log file and creates a new log file with the latest suffix.

  If you do not enable this option, the server creates new files indefinitely and you must clean up these files as you require.
  EOD

  maps_to('Log/%{domain_name}/NumberOfFilesLimited')

  newvalues('absent', '0', '1')

end
