#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:batch_jobs_executor_service_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The name of the application-scoped Managed Executor Service instance that will be used to run Batch jobs that are submitted from applications deployed to the partition. A Managed Executor Service Template by the same name must exist for the domain when a Batch job is submitted in the partition. If this name returns null, then the Batch runtime will use the default Java EE Managed Executor Service that is bound to the default JNDI name of: <code>java:comp/DefaultManagedExecutorService</code>.  

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         batch_jobs_executor_service_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:batch_jobs_executor_service_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('BatchJobsExecutorServiceName')
end
