#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:data_source_for_job_scheduler, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The data source required to support the persistence of jobs scheduled with the job scheduler. 

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         data_source_for_job_scheduler => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:data_source_for_job_scheduler']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DataSourceForJobScheduler')
end
