#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:parallel_deploy_applications, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Determines if applications will be deployed in parallel. 

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         parallel_deploy_applications => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:parallel_deploy_applications']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('ParallelDeployApplications')
end
