#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:resource_deployment_plan_external_descriptors, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  A zip file containing the external descriptors referenced in the deployment plan. 

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         resource_deployment_plan_external_descriptors => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:resource_deployment_plan_external_descriptors']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ResourceDeploymentPlanExternalDescriptors')
end
