#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:calculated_listen_ports, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether listen ports are calculated. 

  An example on how to use this:

      wls_dynamic_cluster {a_wls_dynamic_cluster :
         ...
         calculated_listen_ports => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_dynamic_cluster:calculated_listen_ports']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('CalculatedListenPorts')
end
