#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:max_dynamic_cluster_size, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  Get the upper bound on the DynamicClusterSize that the Elasticity Framework is allowed to assign to DynamicClusterSize. 

  An example on how to use this:

      wls_dynamic_cluster {a_wls_dynamic_cluster :
         ...
         max_dynamic_cluster_size => '8'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_dynamic_cluster:max_dynamic_cluster_size']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MaxDynamicClusterSize')
end
