#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:xa_resource_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Overrides the name of the XAResource that this store registers with JTA.  You should not normally set this attribute. Its purpose is to allow the name of the XAResource to be overridden when a store has been upgraded from an older release and the store contained prepared transactions. The generated name should be used in all other cases. 

  An example on how to use this:

      wls_file_persistence_store {a_wls_file_persistence_store :
         ...
         xa_resource_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_file_persistence_store:xa_resource_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('XAResourceName')
end
