#
# See the file "LICENSE" for the full license governing this code.
#
  newproperty(:jndi_properties_credential, :parent => Puppet::Parameter::WlsEncryptedProperty) do

  desc <<-EOD
  Any Credentials that must be set for the JNDI provider. These Credentials will be part of the properties will be passed directly to the constructor for the JNDI provider's InitialContext class.  Some foreign providers require other properties to be set while obtaining an initial naming context. These properties can be set with a property bean  

  An example on how to use this:

      wls_foreign_server {a_wls_foreign_server :
         ...
         jndi_properties_credential => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_foreign_server:jndi_properties_credential']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JNDIPropertiesCredential')
end
