#
# See the file "LICENSE" for the full license governing this code.
#
require "#{File.dirname(__FILE__)}/../foreign_server_object_property"

newproperty(:username, :parent => Puppet::Parameter::WlsProperty) do
  extend ForeignServerObjectProperty

  desc <<-EOD
  The user name that is passed when opening a connection to the remote server (represented by this foreign connection factory). 

  An example on how to use this:

      wls_foreign_server_object {a_wls_foreign_server_object :
         ...
         username => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_foreign_server_object:username']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Username') {}
end
