#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:saf_export_policy, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-EOD
  Specifies whether a user can send messages to a destination using Store-and-Forward.  <ul> <li>All All users can send messages to this destination using Store-and-Forward.</li>  <li>None Remote users can not send messages to a destination using Store-and-Forward.</li> </ul>  This attribute is dynamically configurable. A dynamic change of this attribute will affect only messages sent after the update has been made.

  An example on how to use this:

      wls_jms_queue {a_wls_jms_queue :
         ...
         saf_export_policy => 'All'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_queue:saf_export_policy']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SAFExportPolicy')
end
