#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:production_paused_at_startup, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether new message production on destinations that use this template is paused on at server startup.  <ul> <li>false Paused message production at server startup is disabled on this template.</li>  <li>true Paused message production at server startup is enabled on this template.</li> </ul> 

  An example on how to use this:

      wls_jms_template {a_wls_jms_template :
         ...
         production_paused_at_startup => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_template:production_paused_at_startup']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('ProductionPausedAtStartup')
end
