#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:multicast_address, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-EOD
  The IP address that this topic uses to transmit messages to multicast consumers.

  An example on how to use this:

      wls_jms_topic {a_wls_jms_topic :
         ...
         multicast_address => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_topic:multicast_address']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Multicast/%{topic_name}/MulticastAddress')
end
