#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:bytes_maximum, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The maximum number of bytes that can be stored in this JMS server. A value of <code>-1</code> removes any WebLogic Server limits.  Because excessive bytes volume can cause memory saturation, Oracle recommends that this maximum corresponds to the total amount of system memory available after accounting for the rest of your application load.  Range of Values: &gt;= BytesThresholdHigh

  An example on how to use this:

      wls_jmsserver {a_wls_jmsserver :
         ...
         bytes_maximum => '-1'
         ...
      }

  EOD

  maps_to('BytesMaximum')

end
