#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:messages_maximum, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The maximum number of messages that can be stored in this JMS server. A value of <code>-1</code> removes any WebLogic Server limits.  Because excessive message volume can cause memory saturation, Oracle recommends that this value corresponds to the total amount of system memory available after accounting for the rest of your application load.  Range of Values: &gt;= MessagesThresholdHigh. 

  An example on how to use this:

      wls_jmsserver {a_wls_jmsserver :
         ...
         messages_maximum => '-1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jmsserver:messages_maximum']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MessagesMaximum')
end
