#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:store_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
   Specifies whether message persistence is supported for this JMS server. <ul> <li>When set to <code>true</code>: If the JMS server has no store configured, the targeted WebLogic Server instance's default store is used to store persistent messages. If the JMS server has a store configured, then the configured store is used to store persistent messages. </li> <li> When set to <code>false</code>, then this JMS server does not support persistent messages, and instead downgrades them to non-persistent.</li> <li> The default value is <code>true</code>.</li> </ul>  Oracle recommends not setting this parameter to <code>false</code>. It is available to provide compatibility with older releases. 

  An example on how to use this:

      wls_jmsserver {a_wls_jmsserver :
         ...
         store_enabled => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jmsserver:store_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('StoreEnabled')
end
