#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:temporary_template_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The name of a configured JMS template that this JMS server uses to create temporary destinations.  Entering a template name, requires you to specify the JMS module that contains this template. However, a template name cannot be specified if the Hosting Temporary Destinations field is disabled.  Note: If the specified JMS template provides persistent store values, they are ignored because temporary destinations do not support persistent messaging. 

  An example on how to use this:

      wls_jmsserver {a_wls_jmsserver :
         ...
         temporary_template_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jmsserver:temporary_template_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('TemporaryTemplateName')
end
