#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:post_bind_gid, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The UNIX group ID (GID) that a server running on this machine will run under after it has carried out all privileged startup actions. Otherwise, the server will continue to run under the group under which it was started.(Requires that you enable Post-Bind GID.) 

  An example on how to use this:

      wls_machine {a_wls_machine :
         ...
         post_bind_gid => 'nobody'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_machine:post_bind_gid']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('PostBindGID')
end
