#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:qos_degradation_allowed, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies if this messaging bridge instance allows the degradation of its QOS (quality of service) when the configured QOS is not available.  <ul> <li> When enabled, the messaging bridge instance degrades the QOS when the configured QOS is not available. If the QOS is degraded, a log message is delivered to the WebLogic startup window or log file. </li>  <li> When not enabled, if messaging bridge instance cannot satisfy the quality of service requested, an error results and the messaging bridge instance does not start. </li> </ul> 

  An example on how to use this:

      wls_messaging_bridge {a_wls_messaging_bridge :
         ...
         qos_degradation_allowed => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_messaging_bridge:qos_degradation_allowed']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('QOSDegradationAllowed')
end
