#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:seconds_between_restarts, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  Specifies how many seconds to wait in between attempts to restart the failed service. 

  An example on how to use this:

      wls_migratable_target {a_wls_migratable_target :
         ...
         seconds_between_restarts => '30'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_migratable_target:seconds_between_restarts']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SecondsBetweenRestarts')
end
