#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ds_stream_chunk_size, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  Specifies the data chunk size for steaming data types.  Streaming data types (for example resulting from a call to <code>getBinaryStream()</code>) are sent in sized chunks from WebLogic Server to the client as needed. 

  An example on how to use this:

      wls_multi_datasource {a_wls_multi_datasource :
         ...
         ds_stream_chunk_size => '256'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_multi_datasource:ds_stream_chunk_size']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCDataSourceParams/%{multi_datasource_name}/StreamChunkSize')
end
