#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:pool_profile_harvest_frequency_seconds, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The number of seconds between when WebLogic Server harvests profile data.  When set to <code>0</code>, harvesting of data is disabled. 

  An example on how to use this:

      wls_multi_datasource {a_wls_multi_datasource :
         ...
         pool_profile_harvest_frequency_seconds => '300'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_multi_datasource:pool_profile_harvest_frequency_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCConnectionPoolParams/%{multi_datasource_name}/ProfileHarvestFrequencySeconds')
end
