#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:xa_retry_duration_seconds, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  Determines the duration in seconds for which the transaction manager will perform recover operations on the resource.  A value of zero indicates that no retries will be performed. 

  An example on how to use this:

      wls_multi_datasource {a_wls_multi_datasource :
         ...
         xa_retry_duration_seconds => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_multi_datasource:xa_retry_duration_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCXAParams/%{multi_datasource_name}/XaRetryDurationSeconds')
end
