#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:xa_retry_interval_seconds, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The number of seconds between XA retry operations if XARetryDurationSeconds is set to a positive value. 

  An example on how to use this:

      wls_multi_datasource {a_wls_multi_datasource :
         ...
         xa_retry_interval_seconds => '60'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_multi_datasource:xa_retry_interval_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCXAParams/%{multi_datasource_name}/XaRetryIntervalSeconds')
end
