#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_message_logging_enabled, :parent => Puppet::Parameter::WlsProperty) do
  extend SAFImportedDestinationObjectProperty

  desc <<-EOD
  Specifies whether the module logs information about the message life cycle. 

  An example on how to use this:

      wls_saf_imported_destination_object {a_wls_saf_imported_destination_object :
         ...
         log_message_logging_enabled => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_saf_imported_destination_object:log_message_logging_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('MessageLoggingParams/%{imported_destination}/MessageLoggingEnabled')
end
