#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:acknowledge_interval, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The maximum interval between two successive acknowledgements sent by the receiving side.  <ul> <li> Applies only to agents with receiving capability. </li>  <li> A value of <code>-1</code> specifies that there is no time limit between successive acknowledgement. </li>  <li> Updating <code>AcknowlegeInterval</code> causes connections starting after the update to use the new value. </li> </ul> 

  An example on how to use this:

      wls_safagent {a_wls_safagent :
         ...
         acknowledge_interval => '-1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_safagent:acknowledge_interval']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('AcknowledgeInterval')
end
