#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:receiving_paused_at_startup, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether the agent is paused for receiving messages at the startup time.  When enabled, the sending agent receives messages. Otherwise, the sending agent does not receive any messages. 

  An example on how to use this:

      wls_safagent {a_wls_safagent :
         ...
         receiving_paused_at_startup => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_safagent:receiving_paused_at_startup']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('ReceivingPausedAtStartup')
end
