#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:client_certificate_enforced, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-EOD
  Indicates whether or not clients must present digital certificates from a trusted certificate authority to WebLogic Server. 

  An example on how to use this:

      ...{...:
         ...
         clientcertificateenforced => '1'
         ...
      }

  Help text generated from MBEan text.


  EOD

  newvalues('absent', 1, 0)

  maps_to('SSL/%{server_name}/ClientCertificateEnforced')

end