#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:create_boot_properties, :boolean => true, :parent => Puppet::Parameter::Boolean) do
  desc <<-EOD
    Specifies if you want puppet to create a boot.properties file. (deprecated)

    The default value is false. You don't need a `boot.properties` file for a managed server when you are planning
    to have it started by a nodemanager. This is a boolean parameter.

    This is a deprecated method. In future versions of the type, we will remove the ability
    to create a `boot.properties` file.

  EOD

  defaultto do
    @used_defaults = true
    :false
  end

  validate do |_value|
    Puppet.warn_once('deprecation', 'Wls_server::create_boot_properties', 'create_boot_properties parameter for Wls_server is deprecated', line, file) unless @used_defaults
  end
end
