#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:customtrustkeystorepassphraseencrypted, :parent => Puppet::Parameter::WlsEncryptedProperty) do

  desc <<-EOD
  The custom trust keystore's encrypted passphrase. If empty or null, then the keystore will be opened without a passphrase.  This attribute is only used if KeyStores is CUSTOM_IDENTITY_AND_CUSTOM_TRUST.  To set this attribute, use <code>weblogic.management.EncryptionHelper.encrypt()</code> to encrypt the value. Then set this attribute to the output of the encrypt() method.   To compare a password that a user enters with the encrypted value of this attribute, use the same WebLogic Server instance that you used to set and encrypt this attribute and use <code>weblogic.management.EncryptionHelper.encrypt()</code> to encrypt the user-supplied password. Then compare the encrypted values. 

  An example on how to use this:

      ...{...:
         ...
         customtrustkeystorepassphraseencrypted => None
         ...
      }

  Help text generated from MBEan text.

  EOD

  maps_to('CustomTrustKeyStorePassPhraseEncrypted')
end
