#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_trace_support_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Returns the HttpTraceSupportEnabled value 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         http_trace_support_enabled => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:http_trace_support_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('HttpTraceSupportEnabled')
end
