#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_domain_log_broadcast_filter, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The filter configuration for log events being sent to the domain log. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         log_domain_log_broadcast_filter => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:log_domain_log_broadcast_filter']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{server_name}/DomainLogBroadcastFilter')
end
