#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_remote_exceptions_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether the server message log includes exceptions that are raised in remote systems. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         log_remote_exceptions_enabled => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:log_remote_exceptions_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('LogRemoteExceptionsEnabled')
end
