#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:low_memory_time_interval, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The amount of time (in seconds) that defines the interval over which this server determines average free memory values.  By default, the server obtains an average free memory value every 3600 seconds. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         low_memory_time_interval => '3600'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:low_memory_time_interval']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('LowMemoryTimeInterval')
end
