#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:restart_interval_seconds, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The number of seconds during which this server can be restarted, up to the number of times specified in RestartMax. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         restart_interval_seconds => '3600'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:restart_interval_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('RestartIntervalSeconds')
end
