#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:retry_interval_before_msi_mode, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  Get the number of seconds between the retries to contact admin server, before starting in Managed Server Independence Mode 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         retry_interval_before_msi_mode => '5'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:retry_interval_before_msi_mode']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('RetryIntervalBeforeMSIMode')
end
