#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_accept_kss_demo_certs_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
   

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         ssl_accept_kss_demo_certs_enabled => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:ssl_accept_kss_demo_certs_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('SSL/%{server_name}/AcceptKSSDemoCertsEnabled')
end
