#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_client_cert_alias, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Determines the alias of the client SSL certificate to be used as identity for outbound SSL connections. The certificate is assumed to be stored in the server configured keystore. <p/> Note that to use the client SSL certificate, <code>{@link #setUseClientCertForOutbound}</code> must be enabled. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         ssl_client_cert_alias => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:ssl_client_cert_alias']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SSL/%{server_name}/ClientCertAlias')
end
