#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_client_certificate_enforced, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Indicates whether or not clients must present digital certificates from a trusted certificate authority to WebLogic Server. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         ssl_client_certificate_enforced => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:ssl_client_certificate_enforced']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('SSL/%{server_name}/ClientCertificateEnforced')
end
