#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_listen_port, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The TCP/IP port at which this server listens for SSL connection requests. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         ssl_listen_port => '7002'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:ssl_listen_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SSL/%{server_name}/ListenPort')
end
