#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:frontendhttpsport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::PortNumber

  desc <<-EOD
    The frontendhttpsport of this cluster.
    Here is an example on how to use this:
        wls_cluster { 'aCluster':
          ...
          frontendhttspport => '9000',
          ...
        }
    For more information checkout the documentation of propery [ClusterMBean.FrontendHTTPSPort](http://docs.oracle.com/middleware/1213/wls/WLMBR/mbeans/http://docs.oracle.com/middleware/1213/wls/WLMBR/mbeans/ClusterMBean.html#FrontendHTTPSPort)
    in the WebLogic documentation.
  EOD

 maps_to('WebServer/%{server_name}/FrontendHTTPSPort')

end