#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jsseenabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Determines whether the SSL implementation in Weblogic Server is JSSE based. 

  An example on how to use this:

      ...{...:
         ...
         jsseenabled => '1'
         ...
      }

  Help text generated from MBEan text.

  EOD
  newvalues('absent', '1', '0')

  maps_to('SSL/%{server_name}/JSSEEnabled')

end



