#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:listenportenabled, :parent => Puppet::Parameter::WlsProperty) do
 
  desc <<-EOD
  Specifies whether this server can be reached through the default plain-text (non-SSL) listen port.  If you disable this listen port, you must enable the default SSL listen port.  You can define additional listen ports for this server by configuring network channels. 

  An example on how to use this:

      ...{...:
         ...
         listenportenabled => '1'
         ...
      }

  Help text generated from MBEan text.


  EOD

  newvalues('absent', '1', '0')

  maps_to 'ListenPortEnabled'

end
