#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:tunnelingenabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether tunneling for the T3, T3S, HTTP, HTTPS, IIOP, and IIOPS protocols should be enabled for this server.  If you create network channels for this server, each channel can override this setting. 

  An example on how to use this:

      ...{...:
         ...
         tunnelingenabled => '1'
         ...
      }

  Help text generated from MBEan text.

  EOD

  newvalues('absent', '1', '0')

  maps_to('TunnelingEnabled')
end
