#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:useservercerts, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Sets whether the client should use the server certificates/key as the client identity when initiating an outbound connection over https. 

  An example on how to use this:

      ...{...:
         ...
         useservercerts => '1'
         ...
      }

  Help text generated from MBEan text.


  EOD
  newvalues('absent', '1', '0')

  maps_to 'SSL/%{server_name}/UseServerCerts'
end
