#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:allow_unencrypted_null_cipher, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Test if the AllowUnEncryptedNullCipher is enabled see <code>setAllowUnencryptedNullCipher(boolean enable)</code> for the NullCipher feature. 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         allow_unencrypted_null_cipher => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:allow_unencrypted_null_cipher']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('AllowUnencryptedNullCipher')
end
