#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:client_certificate_enforced, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether clients must present digital certificates from a trusted certificate authority to WebLogic Server on this channel. 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         client_certificate_enforced => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:client_certificate_enforced']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('ClientCertificateEnforced')
end
