#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:hostname_verification_ignored, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether to ignore the installed implementation of the <code>weblogic.security.SSL.HostnameVerifier</code> interface (when this server is acting as a client to another application server). 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         hostname_verification_ignored => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:hostname_verification_ignored']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('HostnameVerificationIgnored')
end
