#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:login_timeout_millis, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The amount of time that this network channel should wait for a connection before timing out. A value of <code>0</code> disables network channel login timeout. A value of <tt>-1</tt> indicates that the network channel obtains this timeout value from the server's configuration. 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         login_timeout_millis => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:login_timeout_millis']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('LoginTimeoutMillis')
end
