#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:max_backoff_between_failures, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The maximum back off time between failures while accepting client connections. -1 implies that this value is inherited from the server. 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         max_backoff_between_failures => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:max_backoff_between_failures']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MaxBackoffBetweenFailures')
end
