#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:max_connected_clients, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The maximum number of clients that can be connected on this network channel. 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         max_connected_clients => '2147483647'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:max_connected_clients']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MaxConnectedClients')
end
