#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:proxy_port, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The port of the HTTP proxy to use for outbound connections on this channel. The HTTP proxy must support the CONNECT tunneling command.  This option is only effective when OutboundEnabled and ProxyHost are set on the channel. 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         proxy_port => '80'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:proxy_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ProxyPort')
end
