#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:timeout_connection_with_pending_responses, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Determines if connections with pending responses are allowed to timeout. It defaults to false. If set to true, the connection will be timed out for this channel if it exceeds the idleConnectionTimeout value.  Note: This setting only applies to IIOP connections. 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         timeout_connection_with_pending_responses => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:timeout_connection_with_pending_responses']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('TimeoutConnectionWithPendingResponses')
end
