#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:tunneling_client_timeout_secs, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The amount of time (in seconds) after which this network channel considers a missing HTTP-tunneled client to be dead. A value of <tt>-1</tt> indicates that the network channel obtains this timeout value from the ServerTemplateMBean. (Requires you to enable tunneling for the network channel.) 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         tunneling_client_timeout_secs => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:tunneling_client_timeout_secs']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('TunnelingClientTimeoutSecs')
end
