#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:auto_kill_if_failed, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  This is the equivalent of setting the OverloadProtectionMBean failureAction to "force-shutdown" and the panicAction to "system-exit". 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         auto_kill_if_failed => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:auto_kill_if_failed']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('AutoKillIfFailed')
end
