#
# See the file "LICENSE" for the full license governing this code.
#
  newproperty(:default_iiop_password, :parent => Puppet::Parameter::WlsEncryptedProperty) do

  desc <<-EOD
  The password for the default IIOP user. (Requires you to enable IIOP.) As of 8.1 sp4, when you get the value of this attribute, WebLogic Server does the following: <ol><li>Retrieves the value of the <code>DefaultIIOPPasswordEncrypted</code> attribute.</li> <li>Decrypts the value and returns the unencrypted password as a String.</li> </ol>  Using this attribute (<code>DefaultIIOPPassword</code>) is a potential security risk because the String object (which contains the unencrypted password) remains in the JVM's memory until garbage collection removes it and the memory is reallocated. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.  Instead of using this attribute, use <code>DefaultIIOPPasswordEncrypted</code>. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         default_iiop_password => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:default_iiop_password']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DefaultIIOPPassword')
end
