#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:dgc_idle_periods_until_timeout, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The number of idle periods allowed before object is collected. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         dgc_idle_periods_until_timeout => '5'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:dgc_idle_periods_until_timeout']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DGCIdlePeriodsUntilTimeout')
end
