#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:extra_rmic_options, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The options passed to the RMIC compiler during server-side generation.  Each EJB component can override the compiler options that you specify here. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         extra_rmic_options => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:extra_rmic_options']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ExtraRmicOptions')
end
