#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:idle_periods_until_timeout, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The number of idle periods until peer is considered unreachable 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         idle_periods_until_timeout => '4'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:idle_periods_until_timeout']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('IdlePeriodsUntilTimeout')
end
