#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:iiop_tx_mechanism, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Configures IIOP propagate transactions using either WebLogic-specific JTA or the OMG-specified OTS.  It is not possible to use both because it affects the way transactions are negotiated. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         iiop_tx_mechanism => 'ots'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:iiop_tx_mechanism']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('IIOPTxMechanism')
end
