#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_monitoring_throttle_threshold, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The threshold number of messages logged during the evaluation period which enables or disables the throttling. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         log_monitoring_throttle_threshold => '1500'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:log_monitoring_throttle_threshold']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{template_name}/LogMonitoringThrottleThreshold')
end
