#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_stdout_log_stack, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether to dump stack traces to the console when included in logged message. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         log_stdout_log_stack => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:log_stdout_log_stack']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('Log/%{template_name}/StdoutLogStack')
end
