#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reverse_dns_allowed, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether the kernel is allowed to perform reverse DNS lookups. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         reverse_dns_allowed => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:reverse_dns_allowed']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('ReverseDNSAllowed')
end
