#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_ss_lv2_hello_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Indicate whether SSLv2Hello is enabled 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         ssl_ss_lv2_hello_enabled => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:ssl_ss_lv2_hello_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('SSL/%{template_name}/SSLv2HelloEnabled')
end
