#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:tunneling_client_timeout_secs, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The amount of time (in seconds) after which a missing tunneled client is considered dead.  If you create network channels for this server, each channel can override this setting. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         tunneling_client_timeout_secs => '40'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:tunneling_client_timeout_secs']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('TunnelingClientTimeoutSecs')
end
