#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:use_concurrent_queue_for_request_manager, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Reduces lock contention by using concurrent buffer queue to park incoming requests. Enabling this attribute increases throughput as requests are scheduled with out acquiring any locks.  

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         use_concurrent_queue_for_request_manager => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:use_concurrent_queue_for_request_manager']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('UseConcurrentQueueForRequestManager')
end
