#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:retry_interval_seconds, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The amount of time, in seconds, WebLogic Server waits before attempting to verify the health of the TLOG store after a store failure has occurred.  

  An example on how to use this:

      wls_server_tlog {a_wls_server_tlog :
         ...
         retry_interval_seconds => '5'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_tlog:retry_interval_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('RetryIntervalSeconds')
end
