#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:accept_context_path_in_get_real_path, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Indicates whether this server allows the inclusion of the context path in the virtual path to <tt>context.getRealPath()</tt>. (If checked, you cannot use sub directories with the same name as <tt>contextPath</tt>). This is a compatibility switch that will be deprecated 9.0.0.0 in future releases.  Gets the acceptContextPathInGetRealPath attribute of the WebServerMBean object 

  An example on how to use this:

      wls_virtual_host {a_wls_virtual_host :
         ...
         accept_context_path_in_get_real_path => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_host:accept_context_path_in_get_real_path']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('AcceptContextPathInGetRealPath')
end
