#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_file_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The name of the log file. 

  An example on how to use this:

      wls_virtual_host {a_wls_virtual_host :
         ...
         log_file_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_host:log_file_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('WebServerLog/%{virtual_host_name}/FileName')
end
