#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:wap_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Indicates whether the session ID should include JVM information. (Checking this box may be necessary when using URL rewriting with WAP devices that limit the size of the URL to 128 characters, and may also affect the use of replicated sessions in a cluster.) When this box is selected, the default size of the URL will be set at 52 characters, and it will not contain any special characters.  Gets the WAPEnabled attribute of the WebServerMBean object 

  An example on how to use this:

      wls_virtual_host {a_wls_virtual_host :
         ...
         wap_enabled => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_host:wap_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('WAPEnabled')
end
