#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_auth_cookie_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Whether authcookie feature is enabled or not. 

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         http_auth_cookie_enabled => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_target:http_auth_cookie_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('WebServer/%{virtual_target_name}/AuthCookieEnabled')
end
