#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_keep_alive_secs, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The amount of time this server waits before closing an inactive HTTP connection.  Number of seconds to maintain HTTP keep-alive before timing out the request. 

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         http_keep_alive_secs => '30'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_target:http_keep_alive_secs']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('WebServer/%{virtual_target_name}/KeepAliveSecs')
end
