#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:portoffset, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The port offset for this VirtualTarget. If set to the minimum value, the port offset is not set. 

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         portoffset => 'a_value'
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('PortOffset')
end
