#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:application_scope, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether this work manager should be scoped to an application. By default, work managers are scoped to an application. Set this value to false if the work manager is to be scoped to a domain 

  An example on how to use this:

      wls_workmanager {a_wls_workmanager :
         ...
         application_scope => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_workmanager:application_scope']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  newvalues('absent', '0', '1')

  maps_to('ApplicationScope')
end
