#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:context_request_class, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The mapping of Request Classes to security names and groups. 

  An example on how to use this:

      wls_workmanager {a_wls_workmanager :
         ...
         context_request_class => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_workmanager:context_request_class']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ContextRequestClass')
end
