#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:constraintvalue, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer

  desc <<-EOD
  The value of a workmanager constraint

  EOD

  maps_to('%{value}')

  to_translate_to_resource do | raw_resource|
    key = case raw_resource[:constrainttype_folder]
    when 'FairShareRequestClasses' then 'FairShare'
    when 'ResponseTimeRequestClasses' then 'GoalMs'
    else
      key = 'Count'
    end
    my_resource = raw_resource.merge({:value => key})
    super(my_resource, {})
  end

end
