wls_cluster { 'default/wlsCluster':
  ensure               => 'present',
}

wls_coherence_cluster { 'default/defaultCoherenceCluster':
  ensure         => 'present',
}

wls_coherence_server { 'default/test_co_server':
  ensure => 'present',
}

wls_datasource { 'default/test_ds':
  ensure => 'present',
}

wls_dynamic_cluster { 'default/Cluster-0':
  ensure                 => 'present',
  calculated_listen_port => '1',
  maximum_server_count   => '2',
  server_name_prefix     => 'Cluster-0-',
  server_template_name   => 'Cluster-0-Template',
}

wls_file_persistence_store { 'default/a_file_store':
  ensure => 'present',
}

wls_foreign_jndi_provider { 'default/ForeignJNDIProvider-0':
  ensure => 'present',
}

wls_foreign_jndi_provider_link { 'default/ForeignJNDIProvider-0:ForeignJNDILink-0':
  ensure          => 'present',
  local_jndi_name => 'aa',
  remote_jndi_name => 'aa',
}

wls_jms_module {'default/jmsClusterModule':
  ensure => 'present',
}

wls_jdbc_persistence_store {'default/a_jdbc_store':
  ensure => 'present',
}

wls_jms_bridge_destination {'default/JMS Bridge Destination-0':
  ensure => 'present',
}

wls_jms_connection_factory {'default/jmsClusterModule:cf':
  ensure           => 'present',
  defaulttargeting => '0'
}

wls_jms_queue {'default/jmsClusterModule:Queue1':
  ensure           => 'present',
  distributed      => '1',
  defaulttargeting => '0',
  subdeployment    => 'tt',
}

wls_jms_quota {'default/jmsClusterModule:Quota-0':
  ensure => 'present',
}

wls_jmsserver {'default/jmsServer0':
  ensure => 'present',
}

wls_jms_sort_destination_key {'default/jmsClusterModule:DestinationKey-0':
  ensure => 'present',
}

wls_jms_subdeployment {'default/jmsClusterModule:sd-1':
  ensure => 'present',
}

wls_jms_template {'default/jmsClusterModule:Template-0':
  ensure => 'present',
}

wls_jms_topic {'default/jmsClusterModule:Topic1':
  ensure           => 'present',
  distributed      => '1',
  defaulttargeting => '0',
  subdeployment    => 'tt',
}

wls_machine {'default/LocalMachine':
  ensure => 'present',
}

wls_mail_session {'default/MailSession-0':
  ensure => 'present',
  jndiname => 'aaa'
}

wls_messaging_bridge {'default/Bridge-0':
  ensure => 'present',
}

wls_migratable_target {'default/wls1 (migratable)':
  ensure => 'present',
}

wls_datasource { 'default/JDBC Data Source-0':
  ensure => 'present',
}

wls_datasource { 'default/JDBC Data Source-1':
  ensure => 'present',
}


wls_multi_datasource { 'default/JDBC Multi Data Source-1':
  ensure        => 'present',
  algorithmtype => 'Failover',
  datasources   => ['JDBC Data Source-0', 'JDBC Data Source-1'],
  jndinames     => ['aaaa'],
}

wls_safagent {'default/test_agent':
  ensure => 'present',
}

wls_saf_error_handler {'default/jmsClusterModule:ErrorHandling-0':
  ensure => 'present',
}

wls_saf_imported_destination_object {'default/jmsClusterModule:SAFImportedDestinations-0:SAFTopic-0':
  ensure         => 'present',
  object_type    => 'topic',
  remotejndiname => 'xxx',
}

wls_saf_imported_destination {'default/jmsClusterModule:SAFImportedDestinations-0':
  ensure => 'present',
}

wls_saf_remote_context {'default/jmsClusterModule:RemoteSAFContext-0':
  ensure => 'present',
}

wls_server_channel { 'default/wls1:Channel-0':
  ensure                      => 'present',
  listenport                  => '7005',
}
wls_server {'default/server_1':
  ensure => 'present',
}

wls_server {'default/wls1':
  ensure => 'present',
}

wls_server_tlog {'default/wls1':
  ensure => 'present',
}

wls_singleton_service {'default/Singleton Service-0':
  ensure => 'present',
}

wls_virtual_host {'default/VirtualHost-0':
  ensure => 'present',
}

wls_workmanager {'default/WorkManager-0':
  ensure => 'present',
}

wls_domain {'default/wls_domain':
  ensure => 'present',
}

wls_foreign_server_object {'default/jmsClusterModule:ForeignServer-0:ForeignConnectionFactory-0':
  ensure      => 'present',
  object_type => 'connectionfactory',
  localjndiname  => 'aaa',
  remotejndiname => 'bbb',
}

wls_foreign_server {'default/jmsClusterModule:ForeignServer-0':
  ensure => 'present',
}

wls_virtual_target { 'default/VirtualTarget-0':
  ensure                                    => 'present',
  explicit_port                             => '10',
  virtual_host_names                        => ['a', 'b'],
}
